<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Initial qemu push-mode incremental backup</h1>

<ul>
  <li>drive-backup introduced in 2015</li>
  <li>create a new bitmap with a full backup</li>
  <li>future incremental backups use the prior state of the bitmap to
    create external file, as well as reset the bitmap</li>
</ul>

<p>First incremental backup
  <table>
    <tr>
      <td style="vertical-align: top;">
	<table>
	  <tr>
	    <td style="font-size:20px;">Image.qcow2</td>
	  </tr>
	  <tr>
	    <td>
	      <table class="disk">
		<tr>
		  <th>A</th><th>-</th><th>A</th><th>B</th>
		  <th>B</th><th>B</th><th>-</th><th>-</th>
		</tr>
		<tr>
		  <td>-</td><td>-</td><td>-</td><td>-</td>
		  <td>-</td><td>-</td><td>-</td><td>-</td>
		</tr>
	      </table>
	    </td>
	  </tr>
	</table>
      </td>
      <td style="vertical-align: top;">
	<table>
	  <tr>
	    <td style="font-size:20px;">FullBackup.qcow2</td>
	  </tr>
	  <tr>
	    <td>
	      <table class="disk">
		<tr>
		  <th>A</th><th>-</th><th>A</th><th>A</th>
		  <th>-</th><th>A</th><th>-</th><th>-</th>
		</tr>
	      </table>
	    </td>
	  </tr>
	  <tr>
	    <td style="font-size:20px;">IncBackup1.qcow2</td>
	  </tr>
	  <tr>
	    <td>
	      <table class="disk">
		<tr>
		  <th>-</th><th>-</th><th>-</th><th>B</th>
		  <th>B</th><th>B</th><th>-</th><th>-</th>
		</tr>
	      </table>
	    </td>
	  </tr>
	</table>
      </td>
    </tr>
  </table>
</p>

<p class="attribution">See also this 2015 KVM Forum presentation:
  <a href="https://www.youtube.com/watch?v=a2BNswm_yf8">Incremental
    backups: Good things come in in small packages!</a>, John Snow</p>
